PR_GET_TSC(2const)

NAME
PR_GET_TSC - get wether the timestamp counter can be read

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_TSC, int *flag);

DESCRIPTION
Return the state of the flag determining whether the timestamp counter can be read, in the location pointed to by flag.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EFAULT
    arg2 is an invalid address.

STANDARDS
Linux. x86 only.

HISTORY
Linux 2.6.26 (x86).

SEE ALSO
prctl(2), PR_SET_TSC(2const)